Subject: Herbal Remedies

From: [email-masked] (Jennifer Thayer)
Date: Fri, 10 Mar 1995 17:40:30 GMT

Hi, An herbal book that I like is "The Herbs of Life" by Lesley Tierra
Another suggestion for you would be to seek out a Naturopathic Physician
They are a wonderful body of Doctors that spend Four years in Medical
School studying Homeopathic, Botanical and Oriental Medicine. Instead
of learning how to prescribe drugs they learn a variety of natural,
health building remedies and are well versed in clinical nutrition as
well. I have found it to be an excellent alternative to the mainstream
medical community. Not near as expensive either. To locate one in your
area, call or write The American Association of Naturopathic Physicians
at: 2366 Eastlake Ave. East, Suite 322
    Seattle, WA 98102                  Phone (206) 323-7610
Good Luck, I think you are on the right track